## org.hibernate.internal.jaxb
Class JaxbRoot<T>

    java.lang.Object
      org.hibernate.internal.jaxb.JaxbRoot<T>

    public class JaxbRoot<T>

extends Object

Holds information about a JAXB-unmarshalled XML document.

Constructor Summary
`JaxbRoot(T root, Origin origin)`

Method Summary
`Origin` `getOrigin()` Obtain the metadata about the document's origin
`T` `getRoot()` Obtain the root JAXB bound object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbRoot

    public JaxbRoot(T root,
                    Origin origin)

Method Detail

### getRoot

    public T getRoot()

  Obtain the root JAXB bound object

  Returns:
    The JAXB root object

### getOrigin

    public Origin getOrigin()

  Obtain the metadata about the document's origin

  Returns:
    The origin

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.